← All tool categories
150 working tools

Text & List Tools

Clean, compare and measure content without uploading working data.

Center Text Lines

Center every line inside an exact Unicode-character width while keeping blank rows and rejecting destructive truncation.

Open tool →

Remove Prefix from Words

Remove one exact leading fragment from matching Unicode words and leave punctuation, spacing and unmatched words untouched.

Open tool →

Remove Suffix from Words

Strip one exact ending from matching Unicode words without flattening separators or modifying words that do not carry that suffix.

Open tool →

Insert Separator Between Characters

Place a chosen separator between Unicode code points without splitting surrogate pairs such as emoji into invalid halves.

Open tool →

Quote Every Text Line

Wrap each line in double quotes, single quotes or backticks while preserving empty lines and the original line order.

Open tool →

Remove Quotes from Text Lines

Remove one balanced outer quote pair from each line using automatic or explicit quote-style matching.

Open tool →

Quote Every Word

Surround each Unicode word token with a selected quote character while retaining commas, punctuation and original whitespace.

Open tool →

Remove Quotes from Words

Unwrap individually quoted Unicode words when both quote marks match, without deleting unrelated quotation marks from prose.

Open tool →

Normalize Blank Lines

Limit consecutive blank rows to an exact maximum while preserving indentation and every non-empty line.

Open tool →

Convert Spaces to Newlines

Turn each whitespace-separated token into one line and collapse repeated spaces, tabs and existing line breaks deterministically.

Open tool →

Convert Newlines to a Separator

Join non-empty text lines with a configurable separator while trimming only the outer whitespace of each row.

Open tool →

Word Frequency Analyzer

Rank Unicode words by occurrence count with adjustable minimum length, result limit and case-sensitive comparison.

Open tool →

Sort Letters Inside Words

Sort Unicode letters and numbers inside every word independently without moving punctuation or the words themselves.

Open tool →

Sort All Text Characters

Order every Unicode code point across the full input with optional whitespace removal and explicit ascending or descending direction.

Open tool →

Number Text Sentences

Put each detected sentence on its own numbered line with a configurable starting value and three readable marker styles.

Open tool →

Number Text Paragraphs

Number blank-line-separated paragraphs while retaining every paragraph's internal line breaks and formatting.

Open tool →

Duplicate Sentence Finder

List repeated complete sentences with counts using explicit case-sensitive or case-insensitive comparison.

Open tool →

Unique Sentence Extractor

Keep the first occurrence of each complete sentence and remove later duplicates under a selectable case rule.

Open tool →

Base32 Text Encoder and Decoder

Convert UTF-8 text to canonical RFC 4648 Base32 or strictly decode a padded or unpadded Base32 value.

Open tool →

Base32hex Text Encoder and Decoder

Encode and decode UTF-8 with the extended hexadecimal Base32 alphabet defined by RFC 4648 section 7.

Open tool →

Base45 Text Encoder and Decoder

Transform UTF-8 text with the compact RFC 9285 Base45 alphabet used by QR-oriented data formats.

Open tool →

Base58 Bitcoin Text Encoder and Decoder

Convert UTF-8 bytes with the Bitcoin Base58 alphabet while preserving leading zero bytes exactly.

Open tool →

Ascii85 Text Encoder and Decoder

Encode UTF-8 in five-character Ascii85 groups or decode strict Adobe-compatible data with optional delimiters and z compression.

Open tool →

Quoted-Printable Text Encoder and Decoder

Encode UTF-8 mail-style text as RFC 2045 quoted-printable or decode validated uppercase escapes and browser-normalized line breaks.

Open tool →